Bug 26922 - apache-mod_php update from 7.3.18 to 7.3.19 breaks my local web site with : "Error 503 Service unavailable"
Summary: apache-mod_php update from 7.3.18 to 7.3.19 breaks my local web site with : "...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: x86_64 Linux
Priority: High major
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-08 05:17 CEST by Roger Seguin
Modified: 2020-07-13 15:02 CEST (History)
3 users (show)

See Also:
Source RPM: apache-mod_php-7.3.19-2.mga7
CVE:
Status comment:


Attachments

Description Roger Seguin 2020-07-08 05:17:11 CEST
uname -a: Linux 5.6.14-desktop-2.mga7

Description of problem:

Recommended updates today installed a bunch of php RPMS version 7.3.19 over the previous 7.3.12 release.
This broke my local php-based web site with http://localhost systematically displaying the message "Error 503 Service unavailable"

Just reverting apache-mod_php to previous release (urpmi --downgrade apache-mod_php-7.3.18) fixed the issue (I kept all other upgraded packages).

Once reverted to the 7.3.18 release, I tried changing the order of loading the modules as per the RPM 7.3.19 does, i.e. mv 00-php-fpm.conf 10-php-fpm.conf in /etc/httpd/conf/modules.d and the issue came back. So it appears the issue is in the order of loading those modules.

My /etc/httpd/conf/modules.d contents:
00_base.conf 00_mod_dav.conf 00_mod_lua.conf 00_mod_proxy.conf 00_mod_ssl.conf 00_mod_systemd.conf 00_mod_userdir.conf 00_mpm.conf 00-php-fpm.conf 01_mod_cgi.conf 02-perl.conf 70_mod_php.conf

Version-Release number of selected component (if applicable):
- 7.3.19-2

How reproducible:
- Systematic

Steps to Reproduce:
1. http://localhost
2.
3.
Roger Seguin 2020-07-08 05:18:24 CEST

CC: (none) => rgrsgn

Roger Seguin 2020-07-08 05:19:37 CEST

Priority: Normal => High

Comment 1 Roger Seguin 2020-07-08 05:22:31 CEST
I made a typo in the description. 7.3.19 RPMs were installed over previous 7.3.18 (not 7.3.12) release
David Walser 2020-07-08 19:43:40 CEST

Assignee: bugsquad => mageia

Comment 2 Marc Krämer 2020-07-08 19:58:06 CEST
may I ask, why you've installed apache-mod_php in parallel to php-fpm?

I think you get this error, because php-fpm should handle these requests, but is not enabled yet.
Comment 3 Roger Seguin 2020-07-08 22:42:19 CEST
(In reply to Marc Krämer from comment #2)
> may I ask, why you've installed apache-mod_php in parallel to php-fpm?
> 
> I think you get this error, because php-fpm should handle these requests,
> but is not enabled yet.

I can't really answer your question as it is well beyond my understanding on how things work together
A bit more details:
- apache-mod_php came with task-lamp
- 00-php-fpm.conf came with apache-mod_php and requires apache-mod_proxy, which is installed
- I don't have php-fpm installed
Comment 4 Marc Krämer 2020-07-08 23:51:09 CEST
you're right. (00,10)-php-fpm.conf should not be included in apache-mod_php, this was a packaging error.

Fixed in updates_testing as php-7.3.20
Comment 5 Roger Seguin 2020-07-09 00:09:31 CEST
I just tried
- Re-installing apache-mod_php update 7.3.19	and then
- Removing 10-php-fpm.conf from /etc/httpd/conf/modules.d/
It works!
Comment 6 Marc Krämer 2020-07-09 16:12:25 CEST
Updated php package to the latest version:

- Fixed an issue with apache-mod_php not running because of a faulty config "10-php-fpm.conf"
- apache-mod_php now conflicts php-cgi and php-fpm which should not be installed in parallel
- fixed phar not supporting SHA-256/SHA-512 signatures (mga#26896)

References:
https://www.php.net/ChangeLog-7.php#7.3.20

Updated packages in core/updates_testing:
========================
php-ini-7.3.20-2.mga7
apache-mod_php-7.3.20-2.mga7
php-cli-7.3.20-2.mga7
php-cgi-7.3.20-2.mga7
lib64php_common7-7.3.20-2.mga7
php-devel-7.3.20-2.mga7
php-openssl-7.3.20-2.mga7
php-zlib-7.3.20-2.mga7
php-doc-7.3.20-2.mga7.noarch
php-bcmath-7.3.20-2.mga7
php-bz2-7.3.20-2.mga7
php-calendar-7.3.20-2.mga7
php-ctype-7.3.20-2.mga7
php-curl-7.3.20-2.mga7
php-dba-7.3.20-2.mga7
php-dom-7.3.20-2.mga7
php-enchant-7.3.20-2.mga7
php-exif-7.3.20-2.mga7
php-fileinfo-7.3.20-2.mga7
php-filter-7.3.20-2.mga7
php-ftp-7.3.20-2.mga7
php-gd-7.3.20-2.mga7
php-gettext-7.3.20-2.mga7
php-gmp-7.3.20-2.mga7
php-iconv-7.3.20-2.mga7
php-imap-7.3.20-2.mga7
php-interbase-7.3.20-2.mga7
php-intl-7.3.20-2.mga7
php-json-7.3.20-2.mga7
php-ldap-7.3.20-2.mga7
php-mbstring-7.3.20-2.mga7
php-mysqli-7.3.20-2.mga7
php-mysqlnd-7.3.20-2.mga7
php-odbc-7.3.20-2.mga7
php-opcache-7.3.20-2.mga7
php-pcntl-7.3.20-2.mga7
php-pdo-7.3.20-2.mga7
php-pdo_dblib-7.3.20-2.mga7
php-pdo_firebird-7.3.20-2.mga7
php-pdo_mysql-7.3.20-2.mga7
php-pdo_odbc-7.3.20-2.mga7
php-pdo_pgsql-7.3.20-2.mga7
php-pdo_sqlite-7.3.20-2.mga7
php-pgsql-7.3.20-2.mga7
php-phar-7.3.20-2.mga7
php-posix-7.3.20-2.mga7
php-readline-7.3.20-2.mga7
php-recode-7.3.20-2.mga7
php-session-7.3.20-2.mga7
php-shmop-7.3.20-2.mga7
php-snmp-7.3.20-2.mga7
php-soap-7.3.20-2.mga7
php-sockets-7.3.20-2.mga7
php-sodium-7.3.20-2.mga7
php-sqlite3-7.3.20-2.mga7
php-sysvmsg-7.3.20-2.mga7
php-sysvsem-7.3.20-2.mga7
php-sysvshm-7.3.20-2.mga7
php-tidy-7.3.20-2.mga7
php-tokenizer-7.3.20-2.mga7
php-xml-7.3.20-2.mga7
php-xmlreader-7.3.20-2.mga7
php-xmlrpc-7.3.20-2.mga7
php-xmlwriter-7.3.20-2.mga7
php-xsl-7.3.20-2.mga7
php-wddx-7.3.20-2.mga7
php-zip-7.3.20-2.mga7
php-fpm-7.3.20-2.mga7
phpdbg-7.3.20-2.mga7
php-debugsource-7.3.20-2.mga7
php-debuginfo-7.3.20-2.mga7
apache-mod_php-debuginfo-7.3.20-2.mga7
php-cli-debuginfo-7.3.20-2.mga7
php-cgi-debuginfo-7.3.20-2.mga7
lib64php_common7-debuginfo-7.3.20-2.mga7
php-openssl-debuginfo-7.3.20-2.mga7
php-zlib-debuginfo-7.3.20-2.mga7
php-bcmath-debuginfo-7.3.20-2.mga7
php-bz2-debuginfo-7.3.20-2.mga7
php-calendar-debuginfo-7.3.20-2.mga7
php-ctype-debuginfo-7.3.20-2.mga7
php-curl-debuginfo-7.3.20-2.mga7
php-dba-debuginfo-7.3.20-2.mga7
php-dom-debuginfo-7.3.20-2.mga7
php-enchant-debuginfo-7.3.20-2.mga7
php-exif-debuginfo-7.3.20-2.mga7
php-fileinfo-debuginfo-7.3.20-2.mga7
php-filter-debuginfo-7.3.20-2.mga7
php-ftp-debuginfo-7.3.20-2.mga7
php-gd-debuginfo-7.3.20-2.mga7
php-gettext-debuginfo-7.3.20-2.mga7
php-gmp-debuginfo-7.3.20-2.mga7
php-iconv-debuginfo-7.3.20-2.mga7
php-imap-debuginfo-7.3.20-2.mga7
php-interbase-debuginfo-7.3.20-2.mga7
php-intl-debuginfo-7.3.20-2.mga7
php-json-debuginfo-7.3.20-2.mga7
php-ldap-debuginfo-7.3.20-2.mga7
php-mbstring-debuginfo-7.3.20-2.mga7
php-mysqli-debuginfo-7.3.20-2.mga7
php-mysqlnd-debuginfo-7.3.20-2.mga7
php-odbc-debuginfo-7.3.20-2.mga7
php-opcache-debuginfo-7.3.20-2.mga7
php-pcntl-debuginfo-7.3.20-2.mga7
php-pdo-debuginfo-7.3.20-2.mga7
php-pdo_dblib-debuginfo-7.3.20-2.mga7
php-pdo_firebird-debuginfo-7.3.20-2.mga7
php-pdo_mysql-debuginfo-7.3.20-2.mga7
php-pdo_odbc-debuginfo-7.3.20-2.mga7
php-pdo_pgsql-debuginfo-7.3.20-2.mga7
php-pdo_sqlite-debuginfo-7.3.20-2.mga7
php-pgsql-debuginfo-7.3.20-2.mga7
php-phar-debuginfo-7.3.20-2.mga7
php-posix-debuginfo-7.3.20-2.mga7
php-readline-debuginfo-7.3.20-2.mga7
php-recode-debuginfo-7.3.20-2.mga7
php-session-debuginfo-7.3.20-2.mga7
php-shmop-debuginfo-7.3.20-2.mga7
php-snmp-debuginfo-7.3.20-2.mga7
php-soap-debuginfo-7.3.20-2.mga7
php-sockets-debuginfo-7.3.20-2.mga7
php-sodium-debuginfo-7.3.20-2.mga7
php-sqlite3-debuginfo-7.3.20-2.mga7
php-sysvmsg-debuginfo-7.3.20-2.mga7
php-sysvsem-debuginfo-7.3.20-2.mga7
php-sysvshm-debuginfo-7.3.20-2.mga7
php-tidy-debuginfo-7.3.20-2.mga7
php-tokenizer-debuginfo-7.3.20-2.mga7
php-xml-debuginfo-7.3.20-2.mga7
php-xmlreader-debuginfo-7.3.20-2.mga7
php-xmlrpc-debuginfo-7.3.20-2.mga7
php-xmlwriter-debuginfo-7.3.20-2.mga7
php-xsl-debuginfo-7.3.20-2.mga7
php-wddx-debuginfo-7.3.20-2.mga7
php-zip-debuginfo-7.3.20-2.mga7
php-fpm-debuginfo-7.3.20-2.mga7
phpdbg-debuginfo-7.3.20-2.mga7


SRPM:
php-7.3.20-2.mga7.src.rpm

Assignee: mageia => qa-bugs

Comment 7 PC LX 2020-07-10 12:59:37 CEST
When trying to install this update I found an issue.

Before a system could have both php-fpm and apache-mod_php packages installed, and the admin could then choose which one to use by editing which module to load.

With this update these two packages are incompatible and can't be installed at the same time.

This causes a problem for systems using php-fpm since many packages require apache-mod_php (see list below).


$ urpmq --whatrequires apache-mod_php | sort -u
ampache
apache-mod_php
astpp
clusterscripts-server
egroupware
fusiondirectory
fusionpbx
galette
ganglia-web
glpi
kanboard
miniflux
mythtv-mythweb
nagios-www
nextcloud
ocsinventory-reports
pandorafms_console
php-expect
phpipam
phpldapadmin
phpludoreve
php-manual-en
php-pear-phpDocumentor
phppgadmin
pmb
roundcubemail
self-service-password
squirrelmail
stikked
task-lamp-php
vnstat-php-frontend
zoneminder
zzzt
$ urpmq --whatrequires-recursive php-fpm | sort -u
php-fpm

CC: (none) => mageia

Comment 8 papoteur 2020-07-13 15:02:06 CEST
Hi,
I just hit the same problem.
In httpd log:
[Mon Jul 13 14:30:30.739731 2020] [proxy:error] [pid 6737] (2)No such file or directory: AH02454: FCGI: attempt to connect to Unix domain socket /var/lib/php-fpm/php-fpm.sock (*) failed
[Mon Jul 13 14:30:30.740174 2020] [proxy_fcgi:error] [pid 6737] [client 127.0.0.1:46912] AH01079: failed to make connection to backend: httpd-UDS, referer: http://localhost/...

Thus, I downgraded apache-mod_php to 7.3.18, deleted 10-php-fpm.conf and restarted httpd.service.
This is now running.

CC: (none) => yves.brungard_mageia


Note You need to log in before you can comment on or make changes to this bug.